System.Security 2.0.0.0 4.0.0.0 System.Security.Cryptography.Xml.EncryptedType

This class represents the <EncryptedKey> element in XML encryption. The <EncryptedKey> element is used to send encryption keys. It can be created in a stand-alone XML document, be placed within an application document, or be inside an <EncryptedData> element as a child of a <KeyInfo> element. The key value is always encrypted to the recipient. When <EncryptedKey> is decrypted, the resulting key is made available to the <EncryptionMethod> algorithm without any additional processing.

The <EncryptedKey> element is similar to the <EncryptedData> element of the class except that the data encrypted is always a key value.

Represents the <EncryptedKey> element in XML encryption. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor creates a new instance of the class. For more information on XML encryption standards, see the XML Encryption Syntax and Processing document at http://www.w3.org/TR/xmlenc-core/.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method adds a object to the property of the object. The <DataReference> element points to encrypted data that was encrypted using the key specified in the <EncryptedKey> element.

  Adds a <DataReference> element to the <ReferenceList> element.

  A object to add to the property.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method adds A object to the property of the object. The <KeyReference> element points to an encrypted key that was encrypted using the key specified in the <EncryptedKey> element.

  Adds a <KeyReference> element to the <ReferenceList> element.

  A object to add to the property.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The <CarriedKeyName> element is an optional element that associates a user-readable name with a key value. This name can then be used to reference the key using the <KeyName> element within the <KeyInfo> element. The same <CarriedKeyName> element value, unlike an ID value, can occur multiple times within a single document. The value of the key must be the same in all <EncryptedKey> elements identified with the same <CarriedKeyName> name within an XML document. Note that because white space is significant in the value of the <KeyName> element, white space is also significant in the value of the <CarriedKeyName> element.

  Gets or sets the optional <CarriedKeyName> element in XML encryption.

- Method
  2.0.0.0
  4.0.0.0
  System.Xml.XmlElement

  Use this method to output the <EncryptedKey> element in XML.

  Returns the XML representation of the object.

  An that represents the <EncryptedKey> element in XML encryption.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  Use this method to load an existing XML element into the <EncryptedKey> element represented by the object.

  Loads the specified XML information into the <EncryptedKey> element in XML encryption.

  An representing an XML element to use for the <EncryptedKey> element.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The <Recipient> attribute is an optional attribute that contains information about which recipient this encrypted key value is intended for. Its contents are application dependent.

  Gets or sets the optional Recipient attribute in XML encryption.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Xml.ReferenceList To be added.

  The <ReferenceList> element is an optional element that contains pointers to data and keys encrypted using this key. The reference list can contain multiple references to the <EncryptedKey>and <EncryptedData> elements using the <KeyReference> and <DataReference> elements respectively.

  Gets or sets the <ReferenceList> element in XML encryption.